Subject: [bug#41143] [PATCH 1/2] mapped-devices: Allow target to be list of strings

From: Lars-Dominik Braun <[email-masked]>
Date: Sun, 7 Jun 2020 08:48:52 +0200

Hi,

> Can you test with the attached patch, it seems like `cut` macros is 
> undefined while shepherd service is expanded(?). I fixed it by replacing 
> it with a plain lambda. I managed to mount a flash disk with LVM using 
> this patch, so I think it should be working now.
yes, both `guix system reconfigure` and a reboot are working properly
now. (This is a non-boot disk though.) Thanks!

> Still, I think that using VG's instead of PV's is better, since you
> must `pvscan` all PV's in a VG in order to activate it, so you'll
> still need to think in terms of VG's.
I agree, using device nodes would probably break guix’ rollback if you
decide to change the VG.

Lars